Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.service.sts.security.impl.beid
Interface BeIDConnectorGui

All Superinterfaces:
  be.fedict.commons.eid.client.spi.BeIDCardUI

All Known Implementing Classes:
  BeIDConnectorExternalGui, BeIDConnectorGuiSwing

    public interface BeIDConnectorGui

extends be.fedict.commons.eid.client.spi.BeIDCardUI

An abstract connector BeIDCardUI to interact with the user from a BeIDCard instance. Default impl : `BeIDConnectorGuiSwing` Factory : `BeIDConnectorGuiFactory`

Method Summary
`void` | `advisePINBlocked()`
`void` | `advisePINChanged()`
`void` | `advisePINPadChangePIN(int arg0)`
`void` | `advisePINPadNewPINEntry(int arg0)`
`void` | `advisePINPadNewPINEntryAgain(int arg0)`
`void` | `advisePINPadOldPINEntry(int arg0)`
`void` | `advisePINPadOperationEnd()`
`void` | `advisePINPadPINEntry(int retriesLeft, be.fedict.commons.eid.client.PINPurpose type)`
`void` | `advisePINPadPINEntry(int arg0, be.fedict.commons.eid.client.PINPurpose arg1, String arg2)`
`void` | `advisePINPadPUKEntry(int arg0)`
`void` | `advisePINUnblocked()`
`void` | `adviseSecureReaderOperation()`
`void` | `adviseSecureReaderOperationEnd()`
`char[][]` | `obtainOldAndNewPIN(int arg0)`
`char[]` | `obtainPIN(int triesLeft, be.fedict.commons.eid.client.PINPurpose type)`
`char[]` | `obtainPIN(int arg0, be.fedict.commons.eid.client.PINPurpose arg1, String arg2)`
`char[][]` | `obtainPUKCodes(int arg0)`

Methods inherited from interface be.fedict.commons.eid.client.spi.BeIDCardUI
`getLocale, setLocale`

Method Detail

### advisePINBlocked

    void advisePINBlocked()

  Specified by:
    `advisePINBlocked` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINChanged

    void advisePINChanged()

  Specified by:
    `advisePINChanged` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINPadChangePIN

    void advisePINPadChangePIN(int arg0)

  Specified by:
    `advisePINPadChangePIN` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINPadNewPINEntry

    void advisePINPadNewPINEntry(int arg0)

  Specified by:
    `advisePINPadNewPINEntry` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINPadNewPINEntryAgain

    void advisePINPadNewPINEntryAgain(int arg0)

  Specified by:
    `advisePINPadNewPINEntryAgain` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINPadOldPINEntry

    void advisePINPadOldPINEntry(int arg0)

  Specified by:
    `advisePINPadOldPINEntry` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINPadOperationEnd

    void advisePINPadOperationEnd()

  Specified by:
    `advisePINPadOperationEnd` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINPadPUKEntry

    void advisePINPadPUKEntry(int arg0)

  Specified by:
    `advisePINPadPUKEntry` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINUnblocked

    void advisePINUnblocked()

  Specified by:
    `advisePINUnblocked` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### adviseSecureReaderOperation

    void adviseSecureReaderOperation()

  Specified by:
    `adviseSecureReaderOperation` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### adviseSecureReaderOperationEnd

    void adviseSecureReaderOperationEnd()

  Specified by:
    `adviseSecureReaderOperationEnd` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### obtainOldAndNewPIN

    char[][] obtainOldAndNewPIN(int arg0)

  Specified by:
    `obtainOldAndNewPIN` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### obtainPIN

    char[] obtainPIN(int triesLeft,
                     be.fedict.commons.eid.client.PINPurpose type)
                     throws be.fedict.commons.eid.client.spi.UserCancelledException

  Throws:
    `be.fedict.commons.eid.client.spi.UserCancelledException`

### obtainPIN

    char[] obtainPIN(int arg0,
                     be.fedict.commons.eid.client.PINPurpose arg1,
                     String arg2)
                     throws be.fedict.commons.eid.client.spi.UserCancelledException

  Specified by:
    `obtainPIN` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`
  Throws:
    `be.fedict.commons.eid.client.spi.UserCancelledException`

### obtainPUKCodes

    char[][] obtainPUKCodes(int arg0)

  Specified by:
    `obtainPUKCodes` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

### advisePINPadPINEntry

    void advisePINPadPINEntry(int retriesLeft,
                              be.fedict.commons.eid.client.PINPurpose type)

### advisePINPadPINEntry

    void advisePINPadPINEntry(int arg0,
                              be.fedict.commons.eid.client.PINPurpose arg1,
                              String arg2)

  Specified by:
    `advisePINPadPINEntry` in interface `be.fedict.commons.eid.client.spi.BeIDCardUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.